function [res]= SiempreRead(varargin)

%getting the input variable
loadfile=varargin{1};
savefile=varargin{2};

% load file
files = dir(fullfile(loadfile, '*.m'));

% inizialization of the result matrix
res=zeros(length(files),4);

% cicle each file of input directory
for k=1:length(files)
    
    % the name of the input file
    [~, name, ~] = fileparts([loadfile files(k).name]);
    
    % loading the file
    sempmat=load([loadfile files(k).name]);
    
    % sum of the energy of each frame
    sempmat=sum(sempmat,1);
    
    % extraction heand data
    head=sempmat(:,1);
    
    % extraction shoulder data
    shoulder=sum(sempmat(:,3:4));
    
    % extraction right elbow data
    relb=sempmat(:,8);
    
    % computing the global amount of energy
    tot=sum(sempmat);
    
    % adding the results to the output matrix
    res(k,:)=[head,shoulder,relb,tot];
    
end

% writing the resulting file
save([savefile  'data.txt'],'-ascii','res');

dlmwrite([savefile 'data.m'],res);

